﻿using Infragistics.UltraChart.Core.Primitives;
using Infragistics.WebUI.Shared;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    private DataTable GetColumnData()
    {
        DataTable mydata = new DataTable();
        //Define the columns and their names
        mydata.Columns.Add("Series Labels", typeof(string));
        mydata.Columns.Add("Column A", typeof(int));
      //  mydata.Columns.Add("Column B", typeof(int));
        //mydata.Columns.Add("Column C", typeof(int));
        //mydata.Columns.Add("Column D", typeof(int));


        //Add the rows of data
        mydata.Rows.Add(new Object[] { "Series A", 50 });
       // mydata.Rows.Add(new Object[] { "Series B", 30, 60 });
        //mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
        //mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
        return mydata;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.DataSource = GetColumnData();
        this.UltraChart1.DataBind();
        
       
        UltraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
        UltraChart1.Axis.Y.RangeMax = 200;
        UltraChart1.Axis.X.RangeMin = 0;
    }
    protected void UltraChart1_ChartDataClicked(object sender, Infragistics.UltraChart.Shared.Events.ChartDataEventArgs e)
    {
        var a = e.DataColumn;
    }
    protected void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
                foreach (Primitive p in e.SceneGraph)
            {
        Box box = p as Box;
        if (box != null && box.Layer != null)
        {
            //set the width of the bars
            box.rect.Width = 50;
           
        }
           
        }
    }
}